Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Jean Louis <[email-masked]>
Date: Wed, 25 Nov 2020 21:08:35 +0300

* Carlos O'Donell <[email-masked]> [2020-11-25 20:45]:
> With glibc-malloc-trace-utils you can try to do that with:
> 
> LD_PRELOAD=libmtrace.so \
> MTRACE_CTL_FILE=/home/user/app.mtr \
> MTRACE_CTL_BACKTRACE=1 \
> ./app
> 
> This will use libgcc's unwinder to get a copy of the malloc caller
> address and then we'll have to decode that based on a
> /proc/self/maps.

I will also try that in the next session.

One problem I have here is that since I run this session I have not
get any problem. My uptime is over 2 days, I have not changed my
habbits of work within Emacs and my swap remains under 200 MB and only
10% memory used by Emacs, normally 80-90%

Almost by the rule I could not run longer than 1 day until I would get
swap of about 3 GB - 4 GB and not responsive Emacs.

Can it be that libmtrace.so could prevent something happening what is
normally happening?